<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<meta http-equiv="content-type" content="text/html; charset=windows-1251" />
<meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/>
<title>Мрак Подземелья:Восстание зла</title>
</head>
<link rel="stylesheet" href="styleN.css" type="text/css" />

<? 
//здесь дизайн будет меняться пользователем

//подключаем сжатие
@include('gzdoc.php'); 
//подключаем файл базы
@include ("db.php");
//здесь переменные 
$menu = $_GET['menu'];
$src = $_GET['src'];
$speak = $_GET['speak'];
$id = $_GET['id'];
$info = $_GET['info'];
$itemsMenu = $_GET['itemsMenu'];
$buy_items = $_GET['buy_items'];
$count = $_GET['count'];
$cat = $_GET['cat'];
$NICK= $_GET['NICK'];
$pass= $_POST['password'];
$loc=$_GET['loc'];
$m=$_GET['m'];
$info = $_GET['info'];
$use=$_GET['use'];
$plus=$_GET['plus'];
$mp=$_GET['mp'];
$li=$_GET['li'];
$drop=$_GET['drop']; 
$i=$_GET['i'];
$i_c=$_GET['i_c'];
$c_points=$_GET['c_points'];
$del=$_GET['del'];
$idT=$_GET['idT']; 
$take=$_GET['take'];
$yt=$_GET['yt'];
$sunduk=$_GET['sunduk'];
$pi=$_GET['pi'];
$prigl=$_GET['prigl'];
$pri=$_GET['pri'];
$pid=$_GET['pid'];
$vis=$_GET['vis'];
$vremya=time();
$db->openDB();
$upTIME=mysql_query("UPDATE users SET gametime=\"$vremya\" WHERE NICK=\"$NICK\"");//обновляем время в онлайне
$prCL=mysql_query("SELECT * FROM PRIGL_clans WHERE PR_KOMU=\"$NICK\"");
$prCLC=mysql_num_rows($prCL);

$pr=$clNM[PR_GLAVA];
$cla=$clNM[PR_NAME];
$kom=$clNM[PR_KOMU];
$con=$clNM[PR_CONT];
$pID=$clNM[PR_ID];

if($prigl==1){
if(isset($vis)){

$jkl = mysql_query("SELECT * FROM users,clans WHERE NICK=\"$_GET[NICK]\"");
while (@$jkl2 = mysql_fetch_assoc($jkl)) {  

$pcl1 = mysql_query("SELECT * FROM clans,users WHERE CL_CHLEN!=\"$NICK\" AND loc=\"$jkl2[loc]\" AND $t-gametime<600");
$prt = mysql_query("SELECT * FROM clans,users WHERE CL_CHLEN=\"$NICK\" AND loc=\"$jkl2[loc]\" AND $t-gametime<600");
while($prter=mysql_fetch_assoc($prt))
{
if($prter[CL_ZVAN]!=1 AND $prter[CL_ZVAN]!=2 AND $prter[CL_ZVAN]!=3 AND $prter[CL_ZVAN]!=4){echo"вы не можете приглашать игроков в клан из-за текущего звания";die;}
}
$pcl1C=mysql_num_rows($pcl1);
$prtC=mysql_num_rows($prt);
$prPRIG=mysql_query("SELECT * FROM PRIGL_clans WHERE PR_GLAVA=\"$NICK\"");
$prPRIC=mysql_num_rows($prPRIG);
if($prPRIC>0){echo'невозможно отослать два приглашения сразу!';die;}
if($prtC<1){echo"<div class=\"up\"></div><div class=\"body\"><a href=\"game.php?NICK=$NICK\">в игру</a><br>вы не состоите не в одном клане</div><div class=\"foot\">";die;}
if($pcl1C>0){echo'игрок уже состоит в клане';die;}
if($pcl1C<1){echo'высылаем приглашение игроку';
$pcl111 = mysql_query("SELECT * FROM users WHERE NICK!=\"$NICK\" AND loc=\"$jkl2[loc]\" AND $t-gametime<600");

$visPR=mysql_query("INSERT INTO PRIGL_clans (PR_KOMU,PR_DEVIZ,PR_GLAVA,PR_NAME,PR_CONT) VALUES ('$vis','$jkl2[CL_DEVIZ]','$NICK','$jkl2[CL_NAME]','здравствуйте $vis,предлогаю вступить вам в клан $jkl2[CL_NAME]') ");

die;}
}
die;}
if($pri==1 AND isset($pri)){
//здесь так же идет проверка состоит ли игрок в данный момент в каком нибудь клане
$clGLV=mysql_query("SELECT * FROM clans WHERE CL_GLAVA=\"$NICK\"");
$clCHL=mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$NICK\"");
$cl1=mysql_num_rows($clGLV);
$cl2=mysql_num_rows($clCHL);
$clCO=$cl1+$cl2;
if($clCO>0){echo'вы уже состоите в клане сначало выйдите из него или рассфармируйте';die;}
if($clCO<1){echo'принимаем приглашение';
$prmpr=mysql_query("SELECT * FROM PRIGL_clans WHERE PR_KOMU=\"$NICK\"");
while($prmpr2=mysql_fetch_assoc($prmpr))
{
$userTT = mysql_query("SELECT * FROM users WHERE NICK=\"$_GET[NICK]\"");
while (@$userTTT = mysql_fetch_assoc($userTT)) {  
$accePR=mysql_query("INSERT INTO clans (CL_DEVIZ,CL_GLAVA,CL_CHLEN,CL_NAME,CL_CLASS,CL_LVL,CL_ZVAN) VALUES ('$prmpr2[PR_DEVIZ]','$prmpr2[PR_GLAVA]','$NICK','$prmpr2[PR_NAME]','$userTTT[class_pers]','$userTTT[LVL_USERS]','5') ");
$prCL222=mysql_query("SELECT * FROM PRIGL_clans WHERE PR_KOMU=\"$NICK\"");
while($clNM222=mysql_fetch_assoc($prCL222))
{
$del_P=mysql_query("DELETE FROM PRIGL_clans WHERE PR_ID=\"$pid\" AND PR_KOMU=\"$clNM222[PR_KOMU]\"");
}}}
die;}
}
if($pri==0 AND isset($pri)){
$prCL22=mysql_query("SELECT * FROM PRIGL_clans WHERE PR_KOMU=\"$NICK\"");
while($clNM22=mysql_fetch_assoc($prCL22))
{
$delw=mysql_query("SELECT * FROM PRIGL_clans WHERE PR_ID=\"$pid\" AND PR_KOMU=\"$clNM22[PR_KOMU]\"");
$delw2=mysql_num_rows($delw);

if($delw2<1){echo"<a href=\"game.php?NICK=$NICK\">в игру</a><br>невозможно удалить приглашение,т.к оно удаленно!";die;}
echo"отказ от приглашения приглашение $clNM22[PR_KOMU]";
$del_P=mysql_query("DELETE FROM PRIGL_clans WHERE PR_ID=\"$pid\" AND PR_KOMU=\"$clNM22[PR_KOMU]\"");
print('<script>location.href="game.php?NICK='."$NICK".'";</script>');
}
die;
}
if($prCLC==0){echo"<a href=\"game.php?NICK=$NICK\">в игру</a><br>у вас нету приглашений";die;}
while($clNM=mysql_fetch_assoc($prCL)){
echo"<div class=\"up\"></div><div class=\"body\">";
echo"приглашение от:<font color=\"lime\"> ".$clNM[PR_GLAVA]."</font><br>";
echo"клана:<font color=\"lime\"> ".$clNM[PR_NAME]."</font><br>";
echo"кому:<font color=\"lime\"> ".$clNM[PR_KOMU]."</font><br>";
echo"текст:<font color=\"lime\"> ".$clNM[PR_CONT]."</font><br>";
echo"<a href=\"game.php?NICK=$NICK&prigl=1&pri=1&pid=$clNM[PR_ID]\">принять</a>|<a href=\"game.php?NICK=$NICK&prigl=1&pri=0&pid=$clNM[PR_ID]\">отказать</a><br>";
echo"</div><div class=\"foot\">";
}die;}

@include("GameFilter.php");//подключаем файл фильтрации переменных		
if($menu=='nas'){@include("nas.php");die;}//подключаем файл настройки игрока
//настройки
$user=@intval($_GET['user']);//для userov
$mob=@intval($_GET['mob']);//для мобов
$log=@intval($_GET['log']);//для log'ов
$user = trim($user);
$user=strtolower($user);
$user=addslashes($user);
$user = substr($user, 0, 3);
if (!preg_match('|^[0-9]+$|i', $user) AND isset($user)) {
        echo "недопустимые символы в переменной";
        die;
    }
$mob=strtolower($mob);
$mob=addslashes($mob);
$mob = substr($mob, 0, 3);
if (!preg_match('|^[0-9]+$|i', $mob) AND isset($mob)) {
        echo "недопустимые символы в переменной";
        die;
    }
$log=strtolower($log);
$log=addslashes($log);
$log = substr($log, 0, 3);
if (!preg_match('|^[0-9]+$|i', $log) AND isset($log)) {
        echo "недопустимые символы в переменной";
        die;
    }
$db->openDB();
$t=time();
$typeA=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$NICK\" AND IL_NO=\"1\"");
@$typC=mysql_num_rows($typeA);
if($typC==0){$typeW=mysql_query("UPDATE users SET TP_ATTCK=\"кулаками\" where NICK=\"$NICK\"");}
while(@$type2=mysql_fetch_assoc($typeA)){
if($typC==1){$typeW=mysql_query("UPDATE users SET TP_ATTCK=\"$type2[IL_NAME]\" where NICK=\"$NICK\"");}
}
 if(isset($use)){
 $przel=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
 while($przel2=mysql_fetch_assoc($przel)){
if($przel2[MINhp]<1){echo"<div class=\"menu\"><a href=\"game.php?NICK=$NICK\">в игру</a><br/>вы призрак и не можете использовать зелья!</div><div class=\"menu\"></div>";die;} 
 }
 $useZ = mysql_query("SELECT * FROM inv WHERE ID_IL=\"$use\"");
 while(@$useZZ=mysql_fetch_assoc($useZ)){
 $qyty=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
 echo"вы использовали $useZZ[IL_NAME]";

 while($qyty2=mysql_fetch_assoc($qyty)){
  if($useZZ[IL_CLASS]=='zeliyaZ'){
 $uHP=$qyty2[MINhp]+$useZZ[IL_MIN_DMG];
 //надо отдых сделать после использования зелий
 if($uHP<=$qyty2[MAXhp]){$zeliya=mysql_query("UPDATE users SET MINhp=\"$uHP\" where NICK=\"$NICK\"");}
 if($uHP>$qyty2[MAXhp]){$zeliya=mysql_query("UPDATE users SET MINhp=\"$qyty2[MAXhp]\" where NICK=\"$NICK\"");}
 }
   if($useZZ[IL_CLASS]=='zeliyaM'){
 $uMP=$qyty2[MINmp]+$useZZ[IL_MAGD_MIN];
 //надо отдых сделать после использования зелий
 if($uMP<=$qyty2[MAXmp]){$zeliya=mysql_query("UPDATE users SET MINmp=\"$uMP\" where NICK=\"$NICK\"");}
 if($uMP>$qyty2[MAXmp]){$zeliya=mysql_query("UPDATE users SET MINmp=\"$qyty2[MAXmp]\" where NICK=\"$NICK\"");}
 }
 }
 $co=$useZZ[IL_COUNT]-1;
 $zeliya_use=mysql_query("UPDATE inv SET IL_COUNT=\"$co\" where ID_IL=\"$use\"");
print('<script>location.href="game.php?NICK='."$NICK".'";</script>');
 }
 }
if($menu=="main" AND $src=="n_c_rat_1" OR $src=="n_c_rat_2"){echo"<div>неверный запрос!";die;}
#########################################обновляем вещи у торговца спустя 2 часа
#########################################удаляем вещи которые лежат на земле более 8 минут
$delete=mysql_query("SELECT * FROM items_world WHERE $t-TIME_WORLD_ITEMS>500");
while(@$delete2=mysql_fetch_assoc($delete))
{
if($t-$delete2[TIME_WORLD_ITEMS]>500){
$take_its2=mysql_query("DELETE FROM items_world WHERE $t-$delete2[TIME_WORLD_ITEMS]>500");
}
}
$sell_all_items=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$NICK\" AND ID_IL=\"$idT\"");
while(@$sell_all_items2=mysql_fetch_assoc($sell_all_items)){

$cost=round($sell_all_items2[IL_COST]/5);   
if($itemsMenu=="sell"){echo"<div><a href=\"game.php?NICK=$NICK&speak=alter&id=alter_sell\"><small><<</small></a>вы продали за $cost золотых";
$take_it2=mysql_query("DELETE FROM inv WHERE ID_IL=\"$idT\"");
$moneySELL=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
while(@$moneySELL2=mysql_fetch_assoc($moneySELL))
{
$monSELL=$moneySELL2[money]+$cost;

}
$moneySELL=mysql_query("UPDATE users SET money='$monSELL' WHERE NICK=\"$NICK\"");
die;}
}
//если кол-во больше 1 и такой вещи в инвентаре у играка нету
//то INSERT,если есть то UPDATE                       
$worlds_itemsA=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
while(@$worlds_itemsB=mysql_fetch_assoc($worlds_itemsA)){ 
$worlds_items=mysql_query("SELECT * FROM items_world WHERE LOC_WORLD_ITEMS=\"$worlds_itemsB[loc]\" AND ID_WORLD_ITEMS=\"$idT\"");
}
while(@$worlds_items2=mysql_fetch_assoc($worlds_items)){
if($worlds_items2[IL_COUNT]>1 AND isset($take))
{
if($i_c>$worlds_items2[IL_COUNT]){echo"<a href=\"game.php?NICK=$NICK\">в игру</a>неверная сумма либо столько предметов нету на земле";die;}
$worlds_itemsgg=mysql_query("SELECT * FROM items_world WHERE KEY_WORLD_ITEMS=\"$take\"");//зделать определение веса
while(@$worlds_itemsggg=mysql_fetch_assoc($worlds_itemsgg)){
//if($query3[MIN_VES]+$worlds_itemsggg[IL_VES]>$query3[MAX_VES]){echo"предмет сильно тяжелый";die;}
}
if($worlds_items2[IL_COUNT]>1 AND isset($take) AND isset($i_c)){
$provI=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$NICK\" AND IL_KEY=\"$take\"");
@$PRIC=mysql_num_rows($provI);
if($PRIC==0){
$podn=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
while($podn2=mysql_fetch_assoc($podn)){
if($podn2[statys]==1){echo"вы призрак и не можете брать предметы!";die;}}
echo"вы подняли $take $i_c шт.";//INSERT
}
if($PRIC>0){
$podn3=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
while($podn4=mysql_fetch_assoc($podn3)){
if($podn4[statys]==1){echo"вы призрак и не можете брать предметы!";die;}}
echo"вы подняли $take $i_c шт.";//UPDATE
}
die;}
echo"укажите кол-во:<form action=\"game.php\" method=\"get\">
    <input name=\"NICK\" value=\"$NICK\" type=\"hidden\">
    <input name=\"take\" value=\"$take\" type=\"hidden\">
    <input name=\"i_c\" maxlength=\"15\" size=\"2\" class=\"text\">
	 <input name=\"idT\" value=\"$idT\" type=\"hidden\">
    
    <input type=\"submit\" value=\"ок\" class=\"submit\">
    </form>";die;
}








if($worlds_items2[IL_COUNT]==1 AND isset($take))
{
$worlds_items_take=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
while(@$worlds_items_take2=mysql_fetch_assoc($worlds_items_take)){
$take_p_ves=mysql_query("SELECT * FROM items_world WHERE ID_WORLD_ITEMS=\"$idT\"");
while(@$take_p_ves2=mysql_fetch_assoc($take_p_ves)){

if($IT2b+1>=$query3[MAX_VES])
{ 
echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>
<center><font color=\"red\">Ошибка!</font></center>предмет сильно тяжелый для помещения в рюкзак,либо у вас не хватает свободного места!";
die;
}
} 
}

if(isset($take)){
$worlds_items_takeAA=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
$take_p_vesBB=mysql_query("SELECT * FROM items_world WHERE ID_WORLD_ITEMS=\"$idT\"");
while(@$worlds_items_takeAAA=mysql_fetch_assoc($worlds_items_takeAA)){ 
while(@$take_p_vesBBB=mysql_fetch_assoc($take_p_vesBB)){

if($IT2b+1>=$query3[MAX_VES])
{ 
echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>
<center><font color=\"red\">Ошибка!</font></center>предмет сильно тяжелый для помещения в рюкзак,либо у вас не хватает свободного места!";
die;
} 
$take=str_replace("i.w.s.glefa","глефа",$take);
$take=str_replace("i.w.s.steel","стальной меч",$take);
$take=str_replace("i.w.s.short","короткий меч",$take);
$take=str_replace("i.w.a.lesnik","топор лесника",$take);
//echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>вы подняли $take";


#####################################здесь пока не сделанно нужно переделать параметры
$provI2=mysql_query("SELECT * FROM inv WHERE IL_NAME=\"$take\"");
@$PRIC2=mysql_num_rows($provI2);
if($PRIC2>0 AND $take!="стальной меч" AND $take!="короткий меч" AND $take!="глефа"){
$yyyER=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
while($yyyER2=mysql_fetch_assoc($yyyER)){
if($yyyER2[statys]==1){echo"вы призрак и не можете брать предметы!";die;}
echo"берем 1 предмет функция UPDATE";die;}}
if($PRIC2==0 OR $PRIC2>0 AND $take=="стальной меч" OR $take=="короткий меч" OR $take=="глефа"){
$yyyER4=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
while($yyyER3=mysql_fetch_assoc($yyyER4)){
if($yyyER3[statys]==1){echo"вы призрак и не можете брать предметы!";die;}}
echo"$take берем 1 предмет функция INSERT";
$take_it=mysql_query("INSERT INTO inv (IL_LVL,IL_CLASS,IL_ALL_CLASS,IL_NAME,IL_COST,IL_KEY,IL_MIN_DMG,IL_MAX_DMG,IL_DEF,IL_STR,IL_DEX,IL_INT,IL_SPD, 	IL_MIN_PROCH,IL_MAX_PROCH,IL_TREBUET,IL_IMAGE,IL_SRC,IL_NO,ID_USERS, 	IL_SHANS_BLOCK,IL_VES,IL_COUNT) VALUES ('$worlds_items2[LVL_WORLD_ITEMS]','$worlds_items2[CLASS_WORLD_ITEMS]','$worlds_items2[ALL_CLASS_WORLD_ITEMS]','$worlds_items2[NAME_WORLD_ITEMS]','$worlds_items2[COST_WORLD_ITEMS]','$worlds_items2[KEY_WORLD_ITEMS]','$worlds_items2[MINDMG_WORLD_ITEMS]'
,'$worlds_items2[MAXDMG_WORLD_ITEMS]','$worlds_items2[DEF_WORLD_ITEMS]','$worlds_items2[STR_WORLD_ITEMS]','$worlds_items2[DEX_WORLD_ITEMS]','$worlds_items2[INT_WORLD_ITEMS]','$worlds_items2[SPD_WORLD_ITEMS]','$worlds_items2[MINPROCH_WORLD_ITEMS]','$worlds_items2[MAXPROCH_WORLD_ITEMS]','$worlds_items2[TREBUET_WORLD_ITEMS]','$worlds_items2[IMG_WORLD_ITEMS]','$worlds_items2[SRC_WORLD_ITEMS]','0','$NICK','$worlds_items2[SHANSBLOCK_WORLD_ITEMS]','$worlds_items2[IL_VES]','1'
)");
$worlds_itemsAA=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
while(@$worlds_itemsBB=mysql_fetch_assoc($worlds_itemsAA))
{ 
$ves_take=$worlds_items_take2[MIN_VES]+$worlds_items2[IL_VES];
$ves_ves=mysql_query("UPDATE users WHERE MIN_VES=\"$ves_take\"");
}
$take_it2=mysql_query("DELETE FROM items_world WHERE ID_WORLD_ITEMS=\"$idT\"");
die;}
}
}
} 
}
} 

 //подключаем файл перекодировки вещей
 @include("tr_it.php");
if(!preg_match('|^[0-9]+$|i', $i_c) AND isset($i_c)){echo"введенно не верное число";die;}
if(!preg_match('|^[0-9]+$|i', $count) AND isset($count)){echo"<div>неверный формат данных";die;}

if($count>1 AND isset($count) AND $id=="alter_buy"){echo"<div>Попытка корректировки данных";die;}
$t = time();
//айпи игроков
$ip = $_SERVER['REMOTE_ADDR'];
//пеерводим переменную NICK в $aNickName
$aNickName = $_GET['NICK'];
//защита от вредных символов
$db->openDB();
$quests_dOSK=mysql_query("SELECT * FROM quests WHERE quests_users=\"$NICK\" AND quests_name=\"$del\"");
@$count_q=mysql_num_rows($quests_dOSK);
if(isset($del) AND $count_q==0){echo"<div class=\"heads\">
<b>«ошибка удаления квеста»</b>
</div><div class=\"menu\"><a href=\"game.php?NICK=$NICK\">в игру</a><br/>ошибка удаления квеста!</div>
<div class=\"menu\">

</div>";die;}
if(isset($del) AND $i==1 AND isset($i)){
echo"<div class=\"heads\">
<b>«квест отменен»</b></div><div class=\"menu\"><a href=\"game.php?NICK=$NICK\">в игру</a><br/>квест <font color=\"red\"><u>$del_d</u></font> провален</div><div class=\"menu\">

</div>";
$oskolki_q=mysql_query("DELETE FROM quests WHERE quests_users=\"$NICK\" AND quests_name=\"$del\"");

die;}

if(isset($del) AND $count_q>0){echo"<div class=\"heads\">
<b>«квесты»</b></div><div class=\"menu\"><a href=\"game.php?NICK=$NICK\">в игру</a><br/>вы уверенны что хотите отказаться от квеста <b><u>$del_d ?</u><br/></b></font><a href=\"game.php?NICK=$NICK&del=$del&i=1\">да</a>|<a href=\"questsBOOK.php?NICK=$NICK\">нет</a></div>
<div class=\"menu\">

</div>";die;}



if (!preg_match('|^[0-9a-z]+$|i', $loc) AND isset($loc)) {
echo "<a href=\"game.php?NICK=$NICK\">на главную</a>неверная локация!";
die;
}



$db->openDB();
    $quests=mysql_query("SELECT * FROM quests WHERE quests_users=\"$NICK\" AND quests_name=\"$info\"");
        //здесь описание всех квестов
        while(@$quests2=mysql_fetch_assoc($quests)){ 
            //перекодируем в русские символы
 
    //if(isset($info)){echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>";}
	
    @include("descQvest.php");

 }
//не даем пользователю ввести вредные символы в логине!
//если логин пуст выводим ошибку
if($_GET[NICK]==""){echo"<div class = \"up\" >
</div>
<div class=\"body\"><a href=\"ds.php\">на главную</a>логин не может быть пустым!</div><div class = 'foot' >";die;}
//защита от вредных символов
if (!preg_match('|^[0-9a-z_]+$|i', $_GET[NICK])) {
        echo "<div class = \"up\" >
</div>
<div class=\"body\"><a href=\"ds.php\">на главную</a>Недопустимые символы в логине</div><div class = 'foot' >";
        die;
    }
 
$db->openDB();
//здесь если данные совпадают
    $query2 = mysql_query("SELECT * FROM users,npc_world WHERE NICK=\"$_GET[NICK]\"");
	
	@include("login_correct.php");
    while (@$query3 = mysql_fetch_assoc($query2)) {  
if(isset($pi) AND $t-$query3[gametime]<600 AND $pi!="inv")
{
$pcl1 = mysql_query("SELECT * FROM users WHERE NICK=\"$pi\" AND loc=\"$query3[loc]\" AND $t-gametime<600");
$p_off = mysql_query("SELECT * FROM users WHERE NICK=\"$pi\" AND $t-gametime>600");
if($p_offC=mysql_num_rows($p_off)>0){echo'данный пользователь находится в оффлайне';die;}
$p_loc = mysql_query("SELECT * FROM users WHERE NICK=\"$pi\" AND loc!=\"$query3[loc]\"");
if($p_locC=mysql_num_rows($p_loc)>0){echo'данный пользователь находится в другой локации';die;}
while($pcl2=mysql_fetch_assoc($pcl1)){
echo"<div class=\"up\"></div><div class=\"body\"><a href=\"game.php?NICK=$NICK\">в игру</a><br>---<br>
<a href=\"msg.php?NICK=$NICK&pi=$pcl2[id]&piD=$pcl2[NICK]\">+в друзья</a>

<a href=\"game.php?NICK=$NICK&prigl=1&vis=$pcl2[NICK]\">+пригласить в клан</a>

<a href=\"transfer.php?NICK=$NICK&p=$pcl2[NICK]\">передать</a>

здесь будет менюшка по персонажу))</div><div class=\"foot\">";
}
die;}
	//тут описание
if($query3[title]==1){echo"<div class=\"heads\">
<b>«Мрак Подземелья»</b>
</div>
<div class=\"menu\">
<center>Добро пожаловать в мир Мрака Подземелья!
Вы находитесь в локации для новичков
сюда попадают все новчики,которые только что зашли в игру
по достижению 5ого уровня вы сможете попасть в большой мир.
и так для начала поговорите с начальником новобранцев
он вам раскажет с чего начать,а также даст начальные задания
для быстрой прокачки персонажаЖелаем удачи!<br/><a href=\"game.php?NICK=$NICK&yt=1\">в игру</a></center></div>
<div class=\"menu\">";
if($yt==1 AND isset($yt) AND $query3[title]==1){$qu=mysql_query("UPDATE users SET title=\"0\" WHERE NICK=\"$NICK\"");
print('<script>location.href="game.php?NICK='."$NICK".'";</script>');
die;}
die;}
    $inf_users = mysql_query("SELECT * FROM users WHERE NICK=\"$src\"");
   
    if($t-$query3[gametime]>600) {include("site_main.php");die;}
    while (@$inf_users2 = mysql_fetch_assoc($inf_users)) {
     if($query3[loc]!=$inf_users2[loc]) {echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>такого персонажа рядом с вами нет!";die;}
    if($t-$inf_users2[gametime]>600){echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>данный персонаж находится в оффлайне";die;}
    if($menu=="info"){
    $inf_users2[sex]=str_replace("1","мужской",$inf_users2[sex]);
    $inf_users2[sex]=str_replace("2","женский",$inf_users2[sex]);
    if($inf_users2[age]>4 AND $inf_users2[age]<21){$konec=" лет";}
    if($inf_users2[age]>20 AND $inf_users2[age]<22){$konec=" год";}
    if($inf_users2[age]>21 AND $inf_users2[age]<25){$konec=" года";}
    if($inf_users2[age]>24 AND $inf_users2[age]<31){$konec=" лет";}
    if($inf_users2[age]>30 AND $inf_users2[age]<32){$konec=" год";}
    if($inf_users2[age]>31 AND $inf_users2[age]<35){$konec=" года";}
    if($AGE>34 AND $AGE<41){echo" лет";}
    if($AGE>40 AND $AGE<42){echo" год";}
    if($AGE>41 AND $AGE<45){echo" года";}
    if($AGE>44 AND $AGE<51){echo" лет";} 
    if($AGE>50 AND $AGE<52){echo" год";}
    if($AGE>51 AND $AGE<55){echo" года";}
    if($AGE>54 AND $AGE<61){echo" лет";} 
    if($AGE>60 AND $AGE<62){echo" год";} 
    if($AGE>61 AND $AGE<65){echo" года";} 
    if($AGE>64 AND $AGE<71){echo" лет";} 
    if($AGE>70 AND $AGE<72){echo" год";} 
    if($AGE>71 AND $AGE<75){echo" года";} 
    if($AGE>74 AND $AGE<81){echo" лет";} 
    if($AGE>80 AND $AGE<82){echo" год";} 
    if($AGE>81 AND $AGE<85){echo" года";} 
    if($AGE>84 AND $AGE<90){echo" лет";} 
    if($AGE>90 AND $AGE<92){echo" год";} 
    if($AGE>91 AND $AGE<95){echo" года";}
    if($AGE>94 AND $AGE<100){echo" лет";} 
    echo"<title>Информация о персонаже:$src</title>
    
    <a href='game.php?NICK=$NICK'>в игру</a>ник:<font color=\"red\">$inf_users2[NICK]</font>
  
    пол:<font color=\"red\">$inf_users2[sex]</font> 
возраст:<font color=\"red\">$inf_users2[age] $konec</font>
 уровень:<font color=\"red\">$inf_users2[LVL_USERS]</font> 
раса:";
if($inf_users2[rasa]==1){echo"<img src=\"img/elf.jpg\">";}
if($inf_users2[rasa]==2){echo"<img src=\"img/human.jpg\">";}
if($inf_users2[rasa]==3){echo"<img src=\"img/insents.jpg\">";}
if($inf_users2[rasa]==4){echo"<img src=\"img/undead.jpg\">";}
echo"
 класс:
 ";
 if($inf_users2[class_pers]==1){echo"лучник";}
if($inf_users2[class_pers]==2){echo"жрец";}
if($inf_users2[class_pers]==3){echo"воин";}
if($inf_users2[class_pers]==4){echo"маг";}
if($inf_users2[class_pers]==5){echo"солдат";}
if($inf_users2[class_pers]==6){echo"защитник";}
if($inf_users2[class_pers]==7){echo"рыцарь тьмы";}
if($inf_users2[class_pers]==8){echo"некромант";}
echo" 
репутация: $inf_users2[reputation]
 ранг:0
звание: новичек лучник



семейное положение: не женат(!)

в игре:";
$gametime = mysql_query("SELECT * FROM users WHERE NICK='$src'");

while (@$aTime = mysql_fetch_assoc($gametime)) {
    $Time = $aTime['gameday'];
    $time1 = round(time() / 60 / 60 / 24);
    $time2 = round($Time / 60 / 60 / 24);
    $time3=$time1-$time2;
    echo " дн.</b></font>";
    if($aTime>364 AND $aTime<730){echo"1 г.";}
    if($aTime==365){echo"1 г.";}
    }
echo"";
die;}
    }
    $ves_query="SELECT IL_VES FROM inv WHERE ID_USERS='$NICK'";
     // $count_items=mysql_num_rows($ves_query);
  //echo $count_items;
   $res=mysql_query($ves_query);
  
@include("IL_VES.php");
if(@mysql_num_rows($res)==1 OR @mysql_num_rows($res)==0){
    $ves_query=mysql_query("UPDATE users SET MIN_VES=\"$rowV\" WHERE NICK=\"$NICK\"");}
    if(@mysql_num_rows($res)>1){
    $ves_query=mysql_query("UPDATE users SET MIN_VES=\"$row1[IL_VES]\" WHERE NICK=\"$NICK\"");}
    $items1 = mysql_query("SELECT * FROM inv WHERE ID_IL=\"$i\" AND ID_USERS='$NICK'");
    while (@$items2 = mysql_fetch_assoc($items1)) {
    if(isset($i_c))
{
if($items2[IL_COUNT]==$i_c){
if($query3[statys]==1){echo"вы призрак и не можете выбрасывать предметы!";die;}
if($items2[IL_NO]==1){echo"одетые вещи нельзя выбрасывать!";die;}
echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>вы выбросили <u><font color=\"red\">$drop</font></u> $i_c шт. 2345";
    $wq1 = mysql_query("SELECT * FROM inv WHERE ID_IL=\"$i\" AND ID_USERS='$NICK'");
    
    while(@$wq2=mysql_fetch_assoc($wq1)){   
$wqqq=mysql_query("
INSERT INTO items_world (ID_WORLD_ITEMS,LVL_WORLD_ITEMS,TIME_WORLD_ITEMS,
CLASS_WORLD_ITEMS,ALL_CLASS_WORLD_ITEMS,COST_WORLD_ITEMS,NAME_WORLD_ITEMS,KEY_WORLD_ITEMS
,MINDMG_WORLD_ITEMS,MAXDMG_WORLD_ITEMS,DEF_WORLD_ITEMS,STR_WORLD_ITEMS,DEX_WORLD_ITEMS
,INT_WORLD_ITEMS,SPD_WORLD_ITEMS,MINPROCH_WORLD_ITEMS,MAXPROCH_WORLD_ITEMS,TREBUET_WORLD_ITEMS
,IMG_WORLD_ITEMS,SRC_WORLD_ITEMS,SHANSBLOCK_WORLD_ITEMS,IL_VES,IL_COUNT,LOC_WORLD_ITEMS) 
VALUES('$wq6[ID_IL]','$wq6[IL_LVL]','$t','$wq6[IL_CLASS]','$wq6[IL_ALL_CLASS]','$wq6[IL_COST]',
'$wq6[IL_NAME]','$wq6[IL_KEY]','$wq6[IL_MIN_DMG]','$wq6[IL_MAX_DMG]','$wq6[IL_DEF]','$wq6[IL_STR]',
'$wq6[IL_DEX]','$wq6[IL_INT]','$wq6[IL_SPD]','$wq6[IL_MIN_PROCH]','$wq6[IL_MAX_PROCH]','$wq6[IL_TREBUET]',
'$wq6[IL_IMAGE]','$wq6[IL_SRC]','$wq6[IL_SHANS_BLOCK]','$wq6[IL_VES]','$wq6[IL_COUNT]','$query3[loc]')");

}

    $del_it=mysql_query("DELETE FROM inv WHERE ID_IL=\"$i\" AND ID_USERS='$NICK'");
    

    die;
    }
    
    if($items2[IL_COUNT]<$i_c){echo"у вас нету столько $drop";die;}
    if($items2[IL_COUNT]>$i_c){
	if($query3[statys]==1){echo"вы призрак и не можете выбрасывать предметы!";die;}
    if($items2[IL_NO]==1){echo"одетые вещи нельзя выбрасывать!";die;}
    echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>вы выбросили <u><font color=\"red\">$drop</font></u> $i_c шт. тут";
    $minus_i=$items2[IL_COUNT]-$i_c;
    $wq3 = mysql_query("SELECT * FROM inv WHERE ID_IL=\"$i\" AND ID_USERS='$NICK'");
	//сюда потом еще добавлю класс который можно брать в нескольких кол-вах
	$pvnz=mysql_query("SELECT * FROM  items_world WHERE LOC_WORLD_ITEMS=\"$query3[loc]\" AND CLASS_WORLD_ITEMS=\"quests\"");

    if(mysql_num_rows($pvnz)<0){    
	while(@$wq4df=mysql_fetch_assoc($wq3)){ 	
$wqqq1=mysql_query("
INSERT INTO items_world (LVL_WORLD_ITEMS,TIME_WORLD_ITEMS,
CLASS_WORLD_ITEMS,ALL_CLASS_WORLD_ITEMS,COST_WORLD_ITEMS,NAME_WORLD_ITEMS,KEY_WORLD_ITEMS
,MINDMG_WORLD_ITEMS,MAXDMG_WORLD_ITEMS,DEF_WORLD_ITEMS,STR_WORLD_ITEMS,DEX_WORLD_ITEMS
,INT_WORLD_ITEMS,SPD_WORLD_ITEMS,MINPROCH_WORLD_ITEMS,MAXPROCH_WORLD_ITEMS,TREBUET_WORLD_ITEMS
,IMG_WORLD_ITEMS,SRC_WORLD_ITEMS,SHANSBLOCK_WORLD_ITEMS,IL_VES,IL_COUNT,LOC_WORLD_ITEMS) 
VALUES('$wq4df[IL_LVL]','$t','$wq4df[IL_CLASS]','$wq4df[IL_ALL_CLASS]','$wq4df[IL_COST]',
'$wq4df[IL_NAME]','$wq4df[IL_KEY]','$wq4df[IL_MIN_DMG]','$wq4df[IL_MAX_DMG]','$wq4df[IL_DEF]','$wq4df[IL_STR]',
'$wq4df[IL_DEX]','$wq4df[IL_INT]','$wq4df[IL_SPD]','$wq4df[IL_MIN_PROCH]','$wq4df[IL_MAX_PROCH]','$wq4df[IL_TREBUET]',
'$wq4df[IL_IMAGE]','$wq4df[IL_SRC]','$wq4df[IL_SHANS_BLOCK]','$wq4df[IL_VES]','$i_c','$query3[loc]')");
}

}
//echo mysql_num_rows($pvnz);die;
 if(mysql_num_rows($pvnz)>0){
 while(@$wq4dfd=mysql_fetch_assoc($wq3)){ 	
 $plwi=mysql_query("SELECT * FROM items_world WHERE KEY_WORLD_ITEMS=\"$wq4dfd[IL_KEY]\"");
 $plwi2=mysql_fetch_assoc($plwi);
 $epiw=$plwi2[IL_COUNT]+$i_c;
 $uos=mysql_query("UPDATE items_world SET IL_COUNT=\"$epiw\" WHERE KEY_WORLD_ITEMS=\"$wq4dfd[IL_KEY]\" AND LOC_WORLD_ITEMS=\"$query3[loc]\"");

}
}
//здесь проверки на квестовые вещи
	//если на земле есть вещь то UPDATE если нету то INSERT
    while(@$wq4=mysql_fetch_assoc($wq3)){ 	
$wqqq=mysql_query("
INSERT INTO items_world (LVL_WORLD_ITEMS,TIME_WORLD_ITEMS,
CLASS_WORLD_ITEMS,ALL_CLASS_WORLD_ITEMS,COST_WORLD_ITEMS,NAME_WORLD_ITEMS,KEY_WORLD_ITEMS
,MINDMG_WORLD_ITEMS,MAXDMG_WORLD_ITEMS,DEF_WORLD_ITEMS,STR_WORLD_ITEMS,DEX_WORLD_ITEMS
,INT_WORLD_ITEMS,SPD_WORLD_ITEMS,MINPROCH_WORLD_ITEMS,MAXPROCH_WORLD_ITEMS,TREBUET_WORLD_ITEMS
,IMG_WORLD_ITEMS,SRC_WORLD_ITEMS,SHANSBLOCK_WORLD_ITEMS,IL_VES,IL_COUNT,LOC_WORLD_ITEMS) 
VALUES('$wq4[IL_LVL]','$t','$wq4[IL_CLASS]','$wq4[IL_ALL_CLASS]','$wq4[IL_COST]',
'$wq4[IL_NAME]','$wq4[IL_KEY]','$wq4[IL_MIN_DMG]','$wq4[IL_MAX_DMG]','$wq4[IL_DEF]','$wq4[IL_STR]',
'$wq4[IL_DEX]','$wq4[IL_INT]','$wq4[IL_SPD]','$wq4[IL_MIN_PROCH]','$wq4[IL_MAX_PROCH]','$wq4[IL_TREBUET]',
'$wq4[IL_IMAGE]','$wq4[IL_SRC]','$wq4[IL_SHANS_BLOCK]','$wq4[IL_VES]','$i_c','$query3[loc]')");

}

    $m_query=mysql_query("UPDATE inv SET IL_COUNT=\"$minus_i\" WHERE ID_IL=\"$i\" AND ID_USERS='$NICK'");
    die;}
}
    if($drop AND isset($drop) AND $i AND isset($i))
{
    if($items2[IL_COUNT]>1){echo"укажите кол-во:
    <form action=\"game.php\" method=\"get\">
    <input name=\"NICK\" value=\"$NICK\" type=\"hidden\">
    <input name=\"drop\" value=\"$drop\" type=\"hidden\">
    <input name=\"i\" value=\"$i\" type=\"hidden\">
    <input name=\"i_c\" maxlength=\"15\" size=\"2\" class=\"text\">
    
    <input type=\"submit\" value=\"ок\" class=\"submit\">
    </form>
    ";die;}
    if($items2[IL_COUNT]==1){
	if($query3[statys]==1){echo"вы призрак и не можете выбрасывать предметы!";die;}
    if($items2[IL_NO]==1){echo"одетые вещи нельзя выбрасывать!";die;}
	if($sunduk=substr($items2[IL_KEY],0,6)=="sunduk"){echo"<a href=\"game.php?NICK=$NICK\">в игру</a>этот предмет нельзя выбросить!";die;}
    echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>вы выбросили <u><font color=\"red\">$drop</font></u> $i_c 1 шт. 2345";
    $wq5 = mysql_query("SELECT * FROM inv WHERE ID_IL=\"$i\"");
    
    while(@$wq6=mysql_fetch_assoc($wq5)){   
$wqqq=mysql_query("
INSERT INTO items_world (LVL_WORLD_ITEMS,TIME_WORLD_ITEMS,
CLASS_WORLD_ITEMS,ALL_CLASS_WORLD_ITEMS,COST_WORLD_ITEMS,NAME_WORLD_ITEMS,KEY_WORLD_ITEMS
,MINDMG_WORLD_ITEMS,MAXDMG_WORLD_ITEMS,DEF_WORLD_ITEMS,STR_WORLD_ITEMS,DEX_WORLD_ITEMS
,INT_WORLD_ITEMS,SPD_WORLD_ITEMS,MINPROCH_WORLD_ITEMS,MAXPROCH_WORLD_ITEMS,TREBUET_WORLD_ITEMS
,IMG_WORLD_ITEMS,SRC_WORLD_ITEMS,SHANSBLOCK_WORLD_ITEMS,IL_VES,IL_COUNT,LOC_WORLD_ITEMS) 
VALUES('$wq6[IL_LVL]','$t','$wq6[IL_CLASS]','$wq6[IL_ALL_CLASS]','$wq6[IL_COST]',
'$wq6[IL_NAME]','$wq6[IL_KEY]','$wq6[IL_MIN_DMG]','$wq6[IL_MAX_DMG]','$wq6[IL_DEF]','$wq6[IL_STR]',
'$wq6[IL_DEX]','$wq6[IL_INT]','$wq6[IL_SPD]','$wq6[IL_MIN_PROCH]','$wq6[IL_MAX_PROCH]','$wq6[IL_TREBUET]',
'$wq6[IL_IMAGE]','$wq6[IL_SRC]','$wq6[IL_SHANS_BLOCK]','$wq6[IL_VES]','$wq6[IL_COUNT]','$query3[loc]')");

}

    $del_it=mysql_query("DELETE FROM inv WHERE ID_IL=\"$i\" AND ID_USERS='$NICK'");
    die;}
}
}
//перекодируем дроп
//$drop=str_replace("i.w.s.bastard","меч *Бастард*",$drop);
if(isset($drop) AND isset($i)){
$db->openDB();
$c_it_q=mysql_query("SELECT * FROM inv WHERE ID_IL='$i' AND ID_USERS='$NICK'");
$c_it=mysql_num_rows($c_it_q);
}
if(isset($i_c)){
$dci=mysql_query("SELECT * FROM inv WHERE ID_IL='$i' AND ID_USERS='$NICK'");
while(@$dci2=mysql_fetch_assoc($dci)){
$db->openDB();
}
die;}
//<input name=\"drop\" value=\"$drop\" type=\"hidden\">
if($plus=="str" AND $mp==1){
if($c_points>$query3[SKILL_POINTS]){echo"у вас нету столько очков распределения";die;}
if($query3[SKILL_STR]+$c_points>300){echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a><font color=\"red\">максимальное значение одного параметра 300</font>превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого";die;}
echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a>вы повысили силу на $c_points";
$str_plus=$query3[SKILL_STR]+$c_points;
$str_points=$query3[SKILL_POINTS]-$c_points;
$str_query=mysql_query("UPDATE users SET SKILL_POINTS=\"$str_points\",SKILL_STR=\"$str_plus\" WHERE NICK=\"$NICK\"");
die;}

if($plus=="dex" AND $mp==1){
if($c_points>$query3[SKILL_POINTS]){echo"у вас нету столько очков распределения";die;}
if($query3[SKILL_DEX]+$c_points>300)
{
echo"
<div>
<a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a>

<font color=\"red\">
максимальное значение одного параметра 300</font>

превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого
";
die;
}
echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a>вы повысили ловкость на $c_points";
$dex_plus=$query3[SKILL_DEX]+$c_points;
$dex_points=$query3[SKILL_POINTS]-$c_points;
$dex_query=mysql_query("UPDATE users SET SKILL_POINTS=\"$dex_points\",SKILL_DEX=\"$dex_plus\" WHERE NICK=\"$NICK\"");
die;}

if($plus=="int" AND $mp==1){
if($c_points>$query3[SKILL_POINTS]){echo"у вас нету столько очков распределения";die;}
if($query3[SKILL_INT]+$c_points>300){echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a><font color=\"red\">максимальное значение одного параметра 300</font>превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого";die;}
echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a>вы повысили интеллект на $c_points";
$int_plus=$query3[SKILL_INT]+$c_points;
$int_points=$query3[SKILL_POINTS]-$c_points;
$int_query=mysql_query("UPDATE users SET SKILL_POINTS=\"$int_points\",SKILL_INT=\"$int_plus\" WHERE NICK=\"$NICK\"");
die;}

if($query3[SKILL_POINTS]>0 AND $plus=="str" AND isset($plus))
{
if($query3[SKILL_STR]==300){echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a><font color=\"red\">максимальное значение одного параметра 300</font>превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого";die;}
 if($query3[SKILL_POINTS]>1){echo"<div class=\"menu\"><a href=\"skills.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a><br/>введите кол-во:
 
 <form action=\"game.php\" method=\"get\">
 <input name=\"NICK\" value=\"$NICK\" type=\"hidden\">
 <input name=\"plus\" value=\"str\" type=\"hidden\">
 <input name=\"mp\" value=\"1\" type=\"hidden\">
 <input name=\"c_points\" maxlength=\"3\" size=\"2\" class=\"text\">
 
 <input type=\"submit\" value=\"ок\" class=\"submit\">
 </form></div><div class=\"menu\"></div>
 ";die;}
 if($query3[SKILL_POINTS]==1){
 if($query3[SKILL_STR]+1>300){echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a><font color=\"red\">максимальное значение одного параметра 300</font>превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого";die;}

 echo"<a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a>вы повысили силу на 1 !";
$str_plus_one=$query3[SKILL_STR]+1;
$str_points_one=$query3[SKILL_POINTS]-1;
 $str_query_one=mysql_query("UPDATE users SET SKILL_POINTS=\"$str_points_one\",SKILL_STR=\"$str_plus_one\" WHERE NICK=\"$NICK\"");

 die;}
die;}
if($query3[SKILL_POINTS]==0 AND $plus=="str" AND isset($plus)){echo"у вас нету очков распределения";die;}
if($query3[SKILL_POINTS]>0 AND $plus=="dex" AND isset($plus)){
if($query3[SKILL_DEX]==300){echo"<div>111<a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a><font color=\"red\">максимальное значение одного параметра 300</font>превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого";die;}

echo"<div class=\"menu\"><a href=\"skills.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a><br/>введите кол-во:
 
 <form action=\"game.php\" method=\"get\">
 <input name=\"NICK\" value=\"$NICK\" type=\"hidden\">
 <input name=\"plus\" value=\"dex\" type=\"hidden\">
 <input name=\"mp\" value=\"1\" type=\"hidden\">
 <input name=\"c_points\" maxlength=\"3\" size=\"2\" class=\"text\">
 
 <input type=\"submit\" value=\"ок\" class=\"submit\">
 </form></div>";die;}
if($query3[SKILL_POINTS]==0 AND $plus=="dex" AND isset($plus)){echo"у вас нету очков распределения";die;}
if($query3[SKILL_POINTS]>0 AND $plus=="int" AND isset($plus)){
if($query3[SKILL_INT]==300){echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a><font color=\"red\">максимальное значение одного параметра 300</font>превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого";die;}

echo"<div class=\"menu\"><a href=\"skills.php?NICK=$NICK\">в игру</a>|<a href=\"skills.php?NICK=$NICK\">назад</a><br/>введите кол-во:
 
 <form action=\"game.php\" method=\"get\">
 <input name=\"NICK\" value=\"$NICK\" type=\"hidden\">
 <input name=\"plus\" value=\"int\" type=\"hidden\">
 <input name=\"mp\" value=\"1\" type=\"hidden\">
 <input name=\"c_points\" maxlength=\"3\" size=\"2\" class=\"text\">
 
 <input type=\"submit\" value=\"ок\" class=\"submit\">
 </form></div>";die;}
if($query3[SKILL_POINTS]==0 AND $plus=="int" AND isset($plus)){echo"у вас нету очков распределения";die;}
//if(){echo"такой навык не найден или вы пытатесь повысить не существующий навык";break;
//использование всех предметов

if(isset($li)){
echo"<div class=\"heads\">
<b>«Информация»</b>
</div>
<div class=\"menu\"><a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"inv.php?NICK=$NICK\">назад</a><br/>";
if($li=="i.arrow"){include("desc/i_arrow.txt");die;}
if($li=="i.kulon"){include("desc/i_kulon.txt");die;}
if($li=="i.sgkri"){include("desc/i_sgkri.txt");die;}
if(substr($li,0,6)=="sunduk"){include("desc/sunduk.txt");die;}
if($li!="i.arrow" AND $li!="i.kulon" AND $li!="i.sgkri" AND substr($li,0,6)=="sunduk" AND substr($li,0,4)!="i.w."){echo'описание отсутствует';die;}
echo"</div><div class=\"f_bg\">";
}
if(substr($li,0,4)=="i.w."){
$look_itemsT=mysql_query("SELECT * FROM  alter_items WHERE idname_alter_items=\"$li\" AND 
id_alter_items=\"$idT\"");
echo"<div class = \"up\" >
</div>
<div class=\"body\">";
while(@$lk2d=mysql_fetch_assoc($look_itemsT)){
echo"<title>инфо $lk2[IL_NAME]</title><div><a href=\"game.php?NICK=$NICK&speak=alter&id=alter_buy&cat=$lk2d[type]\">назад</a><br/>";
if($lk2d[type]=="swords" AND $lk2d[idname_alter_items]=="$li"){echo"холодное оружие<br>Тип:[<font color=\"red\">мечи</font>]<br/>";}
if($lk2d[type]=="axe"  AND $lk2d[idname_alter_items]=="$li"){echo"Тип:[<font color=\"red\">топоры</font>]<br/>";}
if($lk2d[type]=="kop"  AND $lk2d[idname_alter_items]=="$li"){echo"Тип:[<font color=\"red\">копья</font>]<br/>";}
if($lk2d[type]=="knife"  AND $lk2d[idname_alter_items]=="$li"){echo"Тип:[<font color=\"red\">ножы</font>]<br/>";}
if($lk2d[type]=="kast"  AND $lk2d[idname_alter_items]=="$li"){echo"Тип:[<font color=\"red\">кастеты</font>]<br/>";}
if($lk2d[type]=="hummer"  AND $lk2d[idname_alter_items]=="$li"){echo"Тип:[<font color=\"red\">молоты</font>]<br/>";}
if($lk2d[type]=="bow"  AND $lk2d[idname_alter_items]=="$li"){echo"Тип:[<font color=\"red\">стрелково</font>]<br/>";}
if($lk2d[idname_alter_items]=="$li"){echo"название:[<font color=\"red\">$lk2d[name_alter_items]</font>]<br/>";}
if($lk2d[idname_alter_items]=="$li"){echo"уровень:[<font color=\"red\">$lk2d[al_lvl_items]</font>]<br/>";}

if($lk2d[idname_alter_items]=="$li"){echo"физ.урон:[<font color=\"red\">$lk2d[al_min_DMG]</font>] - [<font color=\"red\">$lk2d[al_max_DMG]</font>]<br/>";}
if($lk2d[idname_alter_items]=="$li"){echo"маг.урон:[<font color=\"red\">$lk2d[al_MGDmin]</font>] - [<font color=\"red\">$lk2d[al_MGDmax]</font>]<br/>";}
if($lk2d[idname_alter_items]=="$li"){echo"требует силы:[<font color=\"red\">$lk2d[al_items_STR]</font>]<br/>";}
if($lk2d[idname_alter_items]=="$li"){echo"требует ловкости:[<font color=\"red\">$lk2d[al_items_DEX]</font>]<br/>";}
if($lk2d[idname_alter_items]=="$li"){echo"требует интеллекта:[<font color=\"red\">$lk2d[al_items_INT]</font>]<br/>";}
if($lk2d[idname_alter_items]=="$li"){echo"скорость:[<font color=\"red\">$lk2d[al_items_SPD] сек.</font>]<br/>";}
if($lk2d[idname_alter_items]=="$li"){echo"прочность:[<font color=\"red\">$lk2d[al_iems_MINPROCH]/$lk2d[al_items_MAXPROCH]</font>]<br/>";}
if($lk2d[idname_alter_items]=="$li"){echo"вес:[<font color=\"red\">$lk2d[al_ves]</font>]<br/>";}
if($lk2d[idname_alter_items]=="$li"){echo"цена:[<font color=\"red\">$lk2d[costs_alter_items]</font>]<br/>";}
echo"</div></div><div class = 'foot' >";
die;}
$look_inv=mysql_query("SELECT * FROM  inv WHERE IL_KEY=\"$li\" AND 
ID_IL=\"$idT\" AND ID_USERS=\"$NICK\"");

while(@$look_inv2=mysql_fetch_assoc($look_inv)){
echo"<title>инфо $lk2[IL_NAME]</title><div><a href=\"inv.php?NICK=$NICK\">назад</a><br>";
if($look_inv2[IL_CLASS]=="swords" AND $look_inv2[IL_KEY]=="$li"){echo"холодное оружие<br>Тип:[<font color=\"red\">мечи</font>]<br/>";}
if($look_inv2[IL_CLASS]=="axe"  AND $look_inv2[IL_KEY]=="$li"){echo"Тип:[<font color=\"red\">топоры</font>]<br/>";}
if($look_inv2[IL_CLASS]=="kop"  AND $look_inv2[IL_KEY]=="$li"){echo"Тип:[<font color=\"red\">копья</font>]<br/>";}
if($look_inv2[IL_CLASS]=="knife"  AND $look_inv2[IL_KEY]=="$li"){echo"Тип:[<font color=\"red\">ножы</font>]<br/>";}
if($look_inv2[IL_CLASS]=="kast"  AND $look_inv2[IL_KEY]=="$li"){echo"Тип:[<font color=\"red\">кастеты</font>]<br/>";}
if($look_inv2[IL_CLASS]=="hummer"  AND $look_inv2[IL_KEY]=="$li"){echo"Тип:[<font color=\"red\">молоты</font>]<br/>";}
if($look_inv2[IL_KEY]=="$li"){echo"название:[<font color=\"red\">$look_inv2[IL_NAME]</font>]<br/>";}
if($look_inv2[IL_KEY]=="$li"){echo"уровень:[<font color=\"red\">$look_inv2[IL_LVL]</font>]<br/>";}

if($look_inv2[IL_KEY]=="$li"){echo"физ.урон:[<font color=\"red\">$look_inv2[IL_MIN_DMG]</font>] - [<font color=\"red\">$look_inv2[IL_MAX_DMG]</font>]<br/>";}
if($look_inv2[IL_KEY]=="$li"){echo"маг.урон:[<font color=\"red\">$look_inv2[IL_MAGD_MIN]</font>] - [<font color=\"red\">$look_inv2[IL_MAGD_MAX]</font>]<br/>";}
if($look_inv2[IL_KEY]=="$li"){echo"требует силы:[<font color=\"red\">$look_inv2[IL_STR]</font>]<br/>";}
if($look_inv2[IL_KEY]=="$li"){echo"требует ловкости:[<font color=\"red\">$look_inv2[IL_DEX]</font>]<br/>";}
if($look_inv2[IL_KEY]=="$li"){echo"требует интеллекта:[<font color=\"red\">$look_inv2[IL_INT]</font>]<br/>";}
if($look_inv2[IL_KEY]=="$li"){echo"скорость:[<font color=\"red\">$look_inv2[IL_SPD] сек.</font>]<br/>";}
if($look_inv2[IL_KEY]=="$li"){echo"прочность:[<font color=\"red\">$look_inv2[IL_MIN_PROCH]/$look_inv2[IL_MAX_PROCH]</font>]<br/>";}
if($look_inv2[IL_KEY]=="$li"){echo"вес:[<font color=\"red\">$look_inv2[IL_VES]</font>]<br/>";}
if($look_inv2[IL_KEY]=="$li"){echo"цена:[<font color=\"red\">$look_inv2[IL_COST]</font>]<br/>";}
}
echo"";

die;}



//if(!isset($_POST[$password])){echo"не все данные были введены,вернитесь на главую страницу и повторите вход";die;}
//здесь снаряжение для новичков
if($use=="sunduk_0"){
$sunPR=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$NICK\" AND IL_KEY=\"$use\"");
@$sunPRc=mysql_num_rows($sunPR);
if($sunPRc==0){echo"<a href=\"game.php?NICK=$NICK\">в игру</a>у вас нет такого предмета!";die;}
echo"<a href=\"game.php?NICK=$NICK\">в игру</a>вы успешно открыли сундук 0 уровня!<br/>";
echo"<font color=\"lime\">вы получили 1000 зелий здоровья новичка<br/>";
echo"<font color=\"lime\">вы получили 1000 зелий маны новичка<br/>";
echo"сундук со снаряжением УР.0 исчез<br/>";
echo"вы получили сундук со снаряжением УР.5</font>";
$sundI0=mysql_query("INSERT INTO inv (IL_CLASS,IL_NAME,IL_COST,IL_KEY,IL_MIN_DMG,IL_IMAGE,IL_SRC,IL_NO,ID_USERS,IL_COUNT,IL_VES) VALUES ('zeliyaZ','зелье здоровья новичка','0','i.h.zzn','15','img_items/zzn.png','i.h.zzn','0','$NICK','1000','0.1')");//добавляем предметы игроку
$sundI0=mysql_query("INSERT INTO inv (IL_CLASS,IL_NAME,IL_COST,IL_KEY,IL_MIN_DMG,IL_IMAGE,IL_SRC,IL_NO,ID_USERS,IL_COUNT,IL_VES) VALUES ('zeliyaM','зелье маны новичка','0','i.h.zzn','15','img_items/zzm.png','i.h.mnn','0','$NICK','1000','0.1')");//добавляем предметы игроку
$sundI0=mysql_query("INSERT INTO inv (IL_CLASS,IL_NAME,IL_COST,IL_KEY,IL_IMAGE,IL_SRC,IL_NO,ID_USERS,IL_COUNT,IL_VES) VALUES ('quests','сундук со снаряжением УР.5','0','sunduk_5','img_items/sunduk.gif','sunduk_5','0','$NICK','1','0')");//добавляем сундук
$sundD0=mysql_query("DELETE FROM inv WHERE ID_USERS=\"$NICK\" AND IL_KEY=\"sunduk_0\"");//удаляем сундук
die;}


if($use=="sunduk_5"){
    if($query3[LVL_USERS]<5){echo"ваш уровень слишком мал чтобы открыть сундук!";die;}
    echo"<div class=\"menu\">вы успешно открыли сундук!<br/>";
	echo"<a href=\"game.php?NICK=$NICK\">в игру</a>|<a href=\"inv.php?NICK=$NICK\">назад</a><br/>выберите предмет:<br/>
	<a href=\"game.php?NICK=$NICK&use=sunduk_5&sunduk=1\">меч новобранца[воин]</a><br/>
	<a href=\"game.php?NICK=$NICK&use=sunduk_5&sunduk=2\">лук новобранца[лучник]</a><br/>
	<a href=\"game.php?NICK=$NICK&use=sunduk_5&sunduk=3\">посох новобранца[маг]</a><br/>
	<a href=\"game.php?NICK=$NICK&use=sunduk_5&sunduk=4\">жезл новобранца[жрец]</a><br/>
	<a href=\"game.php?NICK=$NICK&use=sunduk_5&sunduk=5\">двуручник новобранца[убийца]</a><br/>
	<a href=\"game.php?NICK=$NICK&use=sunduk_5&sunduk=6\">скипетр новобранца[некромант]</a><br/>
	<a href=\"game.php?NICK=$NICK&use=sunduk_5&sunduk=7\">молот новобранца[страж]</a><br/>
    <a href=\"game.php?NICK=$NICK&use=sunduk_5&sunduk=8\">ржавый меч новобранца[рыцарь тьмы]</a>

	";
	switch($sunduk){
	case 1:echo"<br/><font color=\"red\">вы выбрали меч новобранца!</font>	</div><div class=\"menu\"></div>";break;
	case 2:echo"<br/><font color=\"red\">вы выбрали лук новобранца!</font>	</div><div class=\"menu\"></div>";break;
	case 3:echo"<br/><font color=\"red\">вы выбрали посох новобранца!</font>	</div><div class=\"menu\"></div>";break;
	case 4:echo"<br/><font color=\"red\">вы выбрали жезл новобранца!</font>	</div><div class=\"menu\"></div>";break;
	case 5:echo"<br/><font color=\"red\">вы выбрали двуручник новобранца!</font>	</div><div class=\"menu\"></div>";break;
	case 6:echo"<br/><font color=\"red\">вы выбрали скипетр новобранца!</font>	</div><div class=\"menu\"></div>";break;
	case 7:echo"<br/><font color=\"red\">вы выбрали молот новобранца!</font>	</div><div class=\"menu\"></div>";break;
	case 8:echo"<br/><font color=\"red\">вы выбрали ржавый меч новобранца!</font>	</div><div class=\"menu\"></div>";break;
	}
	
	die;}
if($use=="sunduk_10"){
    if($query3[LVL_USERS]<10){echo"ваш уровень слишком мал чтобы открыть сундук!";die;}
    echo"вы успешно открыли сундук!";die;}
if($use=="sunduk_15"){
    if($query3[LVL_USERS]<15){echo"ваш уровень слишком мал чтобы открыть сундук!";die;}
    echo"вы успешно открыли сундук!";die;}
if($use=="sunduk_20"){
    if($query3[LVL_USERS]<20){echo"ваш уровень слишком мал чтобы открыть сундук!";die;}
    echo"вы успешно открыли сундук!";die;}
if($use=="sunduk_25"){
if($query3[LVL_USERS]<25){echo"ваш уровень слишком мал чтобы открыть сундук!";die;}
    echo"вы успешно открыли сундук!";die;}  
if($use=="sunduk_30"){
if($query3[LVL_USERS]<30){echo"ваш уровень слишком мал чтобы открыть сундук!";die;}
    echo"вы успешно открыли сундук!";die;}              
if($_GET[NICK]==$query3[NICK] AND $ip==$query3[ip] AND $t-$query3[gametime]<600){
              
if($query3[statys]!=1){echo"";}
//если мин.хп больше макс.хп делаем запрос на присваиваивание мин.хп=макс.хп 
if($query3[MINhp]>$query3[MAXhp]){$update_statys = mysql_query("UPDATE users SET MINhp=\"$query3[MAXhp]\" WHERE NICK=\"$aNickName\"");}
//если мин.мп больше макс.мп делаем запрос на присваиваивание мин.мп=макс.мп 
if($query3[MINmp]>$query3[MAXmp]){$update_statys = mysql_query("UPDATE users SET MINmp=\"$query3[MAXmp]\" WHERE NICK=\"$aNickName\"");}
//если статус хп равно 0 и статус равен нуля,то заменяем статус на 1 и пишем что персонаж призрак
if($query3[MINhp]==0 AND $query3[statys]==0){$update_statys = mysql_query("UPDATE users SET statys=\"1\" WHERE NICK=\"$aNickName\"");
}
//если хп больше 0 и статус равен 1 ,то заменяем статус 1 на 0 и пишем что персонаж не призрак
if($query3[MINhp]>0 AND $query3[statys]==1){$update_statys = mysql_query("UPDATE users SET statys=\"0\" WHERE NICK=\"$aNickName\"");
}

//ЗДЕСЬ ОСНОВНОЙ ДИЗАЙН ГЛАВНОЙ СТРАНИЦЫ ИГРЫ
?>


<?
if (!preg_match('|^[0-9a-z_]+$|i', $cat) AND isset($cat)) {
        echo "<a href=\"game.php?NICK=$NICK\">в игру</a>недопустимые символы в переменной";
        die;
    }
if (!preg_match('|^[0-9a-z_]+$|i', $id) AND isset($id)) {
        echo "<a href=\"game.php?NICK=$NICK\">в игру</a>недопустимые символы в переменной";
        die;
    }


 
	
//тут по поводу торговле
if($count==0 AND isset($count)){echo"<font color=\"red\">кол-во не может быть равно 0</font>
<a href=\"game.php?NICK=$aNickName&speak=alter&id=buy\">назад</a>";die;}
//не даем пользователю ввести вредные символы
if (!preg_match('|^[0-9]+$|i',$count) AND isset($count)) {
echo "<font color=\"red\">недопустимые символы в кол-ве<a href=\"game.php?NICK=$aNickName&speak=alter&id=buy\"><font color=\"green\">&lsaquo;&lsaquo;</font></a></font>";
die;
}
//тут покупка предметов у нпс
$db->openDB();
$items_alter_proverka=mysql_query("SET NAMES 'cp1251'");
$items_alter_proverka=mysql_query("SELECT * FROM alter_items WHERE idname_alter_items='$itemsMenu'");
while(@$items_alter_proverka2=mysql_fetch_assoc($items_alter_proverka))
{
    
if($count<=$items_alter_proverka2[counts_alter_items]){

$total_cost=($count*$items_alter_proverka2[costs_alter_items]);
if($query3[money]<$items_alter_proverka2[costs_alter_items]){echo"у вас не хватает денег<a href=\"game.php?NICK=$aNickName&speak=alter&id=alter_buy\">назад</a>";die;}
if($items_alter_proverka2[counts_alter_items]>0){
//if($query3[MIN_VES]>$query3[MAX_VES]){echo"<div><a href=\"game.php?NICK=$NICK\">в игру</a>вы перегруженны!";die;}
$alter_itv=mysql_query("SELECT al_ves FROM alter_items WHERE al_il_key=\"$itemsMenu\"");
$IT2a1=mysql_query("SELECT * FROM inv WHERE ID_USERS='$NICK'");
$IT2b1=mysql_num_rows($IT2a1);
while(@$alter_itv2=mysql_fetch_assoc($alter_itv))
{ 

if($IT2b1+1>$query3[MAX_VES]){echo"<div class=\"up\"></div><div class=\"body\"><a href=\"game.php?NICK=$NICK\">в игру</a>
<center><font color=\"red\">Ошибка!</font></center>предмет сильно тяжелый для помещения в рюкзак,либо у вас не хватает свободного места!</div><div class=\"foot\">";die;}
}
echo "вы успешно купили ".$items_alter_proverka2[name_alter_items]." $count шт. за $total_cost монет ";
$cash=$query3[money]-$items_alter_proverka2[costs_alter_items]*$count;
$users_minus_cash=mysql_query("UPDATE users SET money=\"$cash\" WHERE NICK=\"$NICK\"");//удаляем деньги у игрока
$dob=mysql_query("SELECT * FROM alter_items WHERE idname_alter_items='$itemsMenu'");
//5-0<1.8 no
//5-1.8<1.8 no
//5-3.6<1.8 yes

while(@$doba=mysql_fetch_assoc($dob)){   
$users_items_add=mysql_query("INSERT INTO inv 
(IL_LVL,IL_CLASS,IL_ALL_CLASS,IL_NAME,
IL_COST,IL_KEY,IL_MIN_DMG,IL_MAX_DMG,
IL_STR,IL_DEX,IL_INT,IL_SPD,IL_MIN_PROCH,
IL_MAX_PROCH,IL_IMAGE,IL_SRC,IL_NO,ID_USERS,
IL_VES,IL_COUNT) 
VALUES(
'$doba[al_lvl_items]','$doba[type]',
'$doba[alt_class]','$doba[name_alter_items]',
'$doba[costs_alter_items]','$doba[idname_alter_items]',
'$doba[al_min_DMG]','$doba[al_max_DMG]',
'$doba[al_items_STR]','$doba[al_items_DEX]',
'$doba[al_items_INT]','$doba[al_items_SPD]',
'$doba[al_items_MAXPROCH]','$doba[al_items_MAXPROCH]',
'$doba[img_alter_items]','$doba[al_il_key]',
'0','$NICK','$doba[al_ves]','1')");//добавляем купленный предмет игроку }
}
}

$alter_minus=$items_alter_proverka2[counts_alter_items]-$count;
$alter_minus_items=mysql_query("SET NAMES 'cp1251'");
$alter_minus_items=mysql_query("UPDATE alter_items SET counts_alter_items='$alter_minus' WHERE idname_alter_items='$itemsMenu'");//удаляем вещи у торговца
}
if($items_alter_proverka2[counts_alter_items]<1){
$alter_null=mysql_query("SET NAMES 'cp1251'");
$alter_null=mysql_query("UPDATE alter_items SET counts_alter_items='0' WHERE idname_alter_items='$itemsMenu'");//удаляем вещи у торговца    
echo"<font color=\"red\">у торговца нету такого предмета</font>
<a href=\"game.php?NICK=$aNickName&speak=alter&id=buy\">назад</a>";die;}
}
        
        //если не в бою то выходим из игры

#############################################
//не сделанно
if($m=="exit" AND $query3[statys_BATTLE]!=1){
    $a="выход";}
if($m=="exit" AND $query3[statys_BATTLE]!=0){    
    $a="игрок находится в бою!";}
if($m=="exit"){die($a);}
//
//$loc_G="$query3[loc]";
//$query3[loc]=str_replace("begin","Подземелья Силуэны | ЮГ",$query3[loc]);
//$query3[loc]=str_replace("x0x0","Подземелья Силуэны | ЮГ",$query3[loc]);
    //$location_users=str_replace("x0x6","Подземелья Силуэны",$query3[loc]);
       // if($query3[gametime]<300)
        //echo"<title>$query3[loc]</title>";
        if ($t - $query3[gametime] < 600 and substr($query3[ip], 0, 6) == substr($ip, 0,
            6)) {
            $db->openDB();
            if ($query3[MAXhp] < $query3[SKILL_STR] * 5) {
                $hp = $query3[SKILL_STR] * 5;
                $update_game = mysql_query("UPDATE users SET MAXhp=\"$hp\" WHERE NICK=\"$aNickName\"");
            }
            if ($query3[MAXmp] < $query3[SKILL_INT] * 5) {
                $mp = $query3[SKILL_INT] * 5;
                $update_game = mysql_query("UPDATE users SET MAXmp=\"$mp\" WHERE NICK=\"$aNickName\"");
            }

            $update_game = mysql_query("UPDATE users SET gametime=\"$t\" WHERE NICK=\"$aNickName\"");
//тут скилл регенерация,в бою не должно работать!
if($query3[SKILL_REGENERATION]==1){$regT=2;}
if($query3[SKILL_REGENERATION]==2){$regT=3;}
if($query3[SKILL_REGENERATION]==3){$regT=4;}
if($query3[SKILL_REGENERATION]==4){$regT=5;}
if($query3[SKILL_REGENERATION]==5){$regT=6;}
if($query3[SKILL_REGENERATION]==6){$regT=7;}
if($query3[SKILL_REGENERATION]==7){$regT=8;}
if($query3[SKILL_REGENERATION]==8){$regT=9;}
if($query3[SKILL_REGENERATION]==9){$regT=10;}
if($query3[SKILL_REGENERATION]==10){$regT=11;}
if($query3[SKILL_REGENERATION]==11){$regT=13;}
if($query3[SKILL_REGENERATION]==12){$regT=15;}
if($query3[SKILL_REGENERATION]==13){$regT=17;}
if($query3[SKILL_REGENERATION]==14){$regT=19;}
if($query3[SKILL_REGENERATION]==15){$regT=25;}
if($query3[SKILL_REGENERATION]==50){$regT=44;}
$aaa=1;
$hpP=$query3[MINhp]+$aaa;
if($t-$query3[REGhp]>4-$regT AND $query3[MAXhp]-$query3[MINhp]>0 AND $query3[statys]!=1 AND $hpP<$query3[MAXhp])
{

//$update_hp = mysql_query("UPDATE users SET MINhp=\"$hpP\",REGhp=\"$t\" WHERE NICK=\"$aNickName\"");

}
if($t-$query3[REGhp]>4-$regT AND $query3[MAXhp]-$query3[MINhp]>0 AND $query3[statys]!=1 AND $hpP>$query3[MAXhp])
{
$hpP=$query3[MAXhp];
$update_hp = mysql_query("UPDATE users SET MINhp=\"$hpP\",REGhp=\"$t\" WHERE NICK=\"$aNickName\"");

}
if($t-$query3[REGmp]>45 AND $query3[MAXmp]-$query3[MINmp]>0 AND $query3[statys]!=1)
{
 
$query3[MINmp]++;
$update_mp = mysql_query("UPDATE users SET MINmp=\"$query3[MINmp]\",REGmp=\"$t\" WHERE NICK=\"$aNickName\"");
}
}
// 
//$db->openDB();
//$shmot=mysql_query("SELECT * FROM users,inv WHERE NICK=\"$aNickName\"");
//while($shmot2=mysql_fetch_assoc($shmot)){

####################################################
//здоровье_персонажа+шмот=здоровье
@include_once("LVL_table.php");

####################################################
//}


if(!isset($menu)){
if(!isset($speak)){    
if(!isset($info)){    
?>
<div class="heads">
<b>«Мрак Подземелья»</b>
</div>
<div class="menu"><center>
<? 
if($NICK=="asterixos"){echo"
<a href=\"az/admin.php?NICK=$NICK\" class=\"submit\"><font color=\"red\"></font><img src=\"img/admin.png\"  width=\"10\" height=\"10\" title=\"o\"> админка<font color=\"red\"></font></a>";}
echo"<br/>
<a href=\"game.php?NICK=$NICK\" class=\"tda\"><font color=\"red\"></font><img src=\"img/ref.png\"  width=\"10\" height=\"10\" title=\"o\">обновить<font color=\"red\"></font></a>
<a href=\"pers.php?NICK=$NICK\" class=\"submit\"><font color=\"red\"></font><img src=\"img/inv.png\"  width=\"10\" height=\"10\" title=\"i\"> персонаж<font color=\"red\"></font></a>
<a href=\"chat/index.php?NICK=$NICK\" class=\"submit\"><font color=\"red\"></font><img src=\"img/chat.png\"  width=\"10\" height=\"10\" title=\"i\"> сказать<font color=\"red\"></font></a><br/>
<a href=\"questsBOOK.php?NICK=$NICK\" class=\"submit\"><font color=\"red\"></font><img src=\"img/pis.png\"  width=\"10\" height=\"10\" title=\"i\"> квесты<font color=\"red\"></font></a>
<a href=\"maps.php?NICK=$aNickName\" class=\"submit\"><font color=\"red\"></font><img src=\"img/map.png\"  width=\"10\" height=\"10\" title=\"i\"> карта<font color=\"red\"></font></a>
<a href=\"gameshop/dsgameshop.php?NICK=$aNickName\" class=\"submit\"><font color=\"red\"></font><img src=\"img/gSHOP.png\"  width=\"10\" height=\"10\" title=\"i\"> Game Shop<font color=\"red\"></font></a><br/>
<a href=\"game.php?NICK=$aNickName&m=exit\" class=\"submit\"><font color=\"red\"></font><img src=\"img/save.png\"  width=\"10\" height=\"10\" title=\"i\"> сохраниться<font color=\"red\"></font></a>
";
echo"<br/><img src=\"img/br.png\" width=\"10\" height=\"10\" title=\"бриллианты\"></img>";
echo" <small>$query3[brilliants]</small>";
echo" <img src=\"img/gold.png\"  width=\"10\" height=\"10\" title=\"золото\"></img>";
echo" <small>$query3[money]</small><br/>";
$clPER=$query3[class_pers];
echo"$NICK ";
//если статус равен 1 и хп равен 0
if($query3[statys]==1 AND !isset($src) AND !isset($speak)){
    
    echo" <font color=\"red\">(призрак)</font>";}
	if($clPER==1){echo'(<b>лук</b>) ';}
if($clPER==2){echo'(<b>жрец</b>) ';}
if($clPER==3){echo'(<b>асс</b>) ';}
if($clPER==4){echo'(<b>стрж</b>) ';}
if($clPER==5){echo'(<b>воин</b>) ';}
if($clPER==6){echo'(<b>маг</b>) ';}
if($clPER==7){echo'(<b>р.т</b>) ';}
if($clPER==8){echo'(<b>некр</b>) ';}
$cl66=mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$NICK\"");
while($cl77=mysql_fetch_assoc($cl66))
{
$cl88=mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$NICK\"");
$cl99=mysql_num_rows($cl88);
$clsd=mysql_query("SELECT * FROM clan_list WHERE CLL_NAME=\"$cl77[CL_NAME]\"");
while($clsd2=mysql_fetch_assoc($clsd))
{
if($cl99>0){echo "<img src=\"$clsd2[ZNAK_CLA]\" width=\"12\" height=\"12\" alt=\"c\" alt=\"c\"> *".$cl77[CL_NAME]."*<br>";}
if($cl99<1){echo"<br>";}
}}
//вставляем изображение маны,здоровья и вывод ее
echo"<img src=\"img/hp.png\" height=\"10\" width=\"10\" title=\"Здоровье-если показатель здоровья упадет до 0,персонаж погибнет\"><small> $query3[MINhp]/$query3[MAXhp]     </small> ";

                echo "<img src=\"img/mp.png\" width=\"10\" height=\"10\" title=\"Мана-расходуется при использовании свитков с заклинаниями и магии\"> <small>$query3[MINmp]/$query3[MAXmp]      </small>";   
    //вставляем изображение уровня и вывод его

                echo "<br/><img src=\"img/lvl.png\" width=\"10\" height=\"10\" title=\"Текущий уровень персонажа\"> <small>       $query3[LVL_USERS]</small> ";
    //вставляем изображение опыта и вывод его

                echo "<img src=\"img/exp.png\" width=\"10\" height=\"10\" title=\"";
                if($query3[LVL_USERS]==0){$LVL_UP="50";}
                if($query3[LVL_USERS]==1){$LVL_UP="150";}
                if($query3[LVL_USERS]==2){$LVL_UP="250";}
                if($query3[LVL_USERS]==3){$LVL_UP="450";}
                if($query3[LVL_USERS]==4){$LVL_UP="650";}
                if($query3[LVL_USERS]==5){$LVL_UP="950";}
                if($query3[LVL_USERS]==6){$LVL_UP="1400";}
                if($query3[LVL_USERS]==7){$LVL_UP="2100";}
                if($query3[LVL_USERS]==8){$LVL_UP="2800";}
                if($query3[LVL_USERS]==9){$LVL_UP="4000";}
                if($query3[LVL_USERS]==10){$LVL_UP="5900";}
                if($query3[LVL_USERS]==10){$LVL_UP="8000";}
                if($query3[LVL_USERS]==11){$LVL_UP="9500";}
                if($query3[LVL_USERS]==12){$LVL_UP="12000";}
                if($query3[LVL_USERS]==13){$LVL_UP="14500";}
                if($query3[LVL_USERS]==14){$LVL_UP="17200";}
                if($query3[LVL_USERS]==15){$LVL_UP="25000";}
                if($query3[LVL_USERS]==16){$LVL_UP="31000";}
                if($query3[LVL_USERS]==17){$LVL_UP="36000";}
            	if($query3[LVL_USERS]==18){$LVL_UP="42000";} 
                if($query3[LVL_USERS]==19){$LVL_UP="49000";}	
                if($query3[LVL_USERS]==20){$LVL_UP="58000";}
                if($query3[LVL_USERS]==21){$LVL_UP="70000";}
                if($query3[LVL_USERS]==22){$LVL_UP="85000";}
                if($query3[LVL_USERS]==23){$LVL_UP="100000";}
                if($query3[LVL_USERS]==24){$LVL_UP="120000";}
                if($query3[LVL_USERS]==25){$LVL_UP="145000";}
                if($query3[LVL_USERS]==26){$LVL_UP="170000";}
                if($query3[LVL_USERS]==27){$LVL_UP="195000";}
                if($query3[LVL_USERS]==28){$LVL_UP="220000";}
                if($query3[LVL_USERS]==29){$LVL_UP="255000";}
                if($query3[LVL_USERS]==30){$LVL_UP="260000";}
                if($query3[LVL_USERS]==31){$LVL_UP="285000";}
                if($query3[LVL_USERS]==32){$LVL_UP="310000";}
                if($query3[LVL_USERS]==33){$LVL_UP="335000";}
                if($query3[LVL_USERS]==34){$LVL_UP="350000";}
                if($query3[LVL_USERS]==35){$LVL_UP="360000";}
                if($query3[LVL_USERS]==36){$LVL_UP="369000";}
                if($query3[LVL_USERS]==37){$LVL_UP="380000";}
                if($query3[LVL_USERS]==38){$LVL_UP="400000";}
                if($query3[LVL_USERS]==39){$LVL_UP="425000";}
                if($query3[LVL_USERS]==40){$LVL_UP="450000";}
                if($query3[LVL_USERS]==41){$LVL_UP="500000";}
                if($query3[LVL_USERS]==42){$LVL_UP="565000";}
                if($query3[LVL_USERS]==43){$LVL_UP="600000";}
                if($query3[LVL_USERS]==44){$LVL_UP="640000";}
                if($query3[LVL_USERS]==45){$LVL_UP="680000";}
                if($query3[LVL_USERS]==46){$LVL_UP="720000";}
                if($query3[LVL_USERS]==47){$LVL_UP="750000";}
                if($query3[LVL_USERS]==48){$LVL_UP="770000";}
                if($query3[LVL_USERS]==49){$LVL_UP="810000";}
                if($query3[LVL_USERS]==50){$LVL_UP="850000";}
                if($query3[LVL_USERS]==51){$LVL_UP="880000";}
                if($query3[LVL_USERS]==52){$LVL_UP="910000";}
                if($query3[LVL_USERS]==53){$LVL_UP="940000";}
                if($query3[LVL_USERS]==54){$LVL_UP="960000";}
                if($query3[LVL_USERS]==55){$LVL_UP="980000";}
                if($query3[LVL_USERS]==56){$LVL_UP="1000000";}
                if($query3[LVL_USERS]==57){$LVL_UP="1050000";}
                if($query3[LVL_USERS]==58){$LVL_UP="1100000";}
                if($query3[LVL_USERS]==59){$LVL_UP="1150000";}
                if($query3[LVL_USERS]==60){$LVL_UP="1200000";}
                if($query3[LVL_USERS]==61){$LVL_UP="1250000";}
                if($query3[LVL_USERS]==62){$LVL_UP="1300000";}
                if($query3[LVL_USERS]==63){$LVL_UP="1350000";}
                if($query3[LVL_USERS]==64){$LVL_UP="1400000";}
                if($query3[LVL_USERS]==65){$LVL_UP="1500000";}
                if($query3[LVL_USERS]==66){$LVL_UP="1650000";}
                if($query3[LVL_USERS]==67){$LVL_UP="1850000";}
                if($query3[LVL_USERS]==68){$LVL_UP="2000000";}
                if($query3[LVL_USERS]==69){$LVL_UP="2300000";}
                if($query3[LVL_USERS]==70){$LVL_UP="2650000";}
                if($query3[LVL_USERS]==71){$LVL_UP="3100000";}
                if($query3[LVL_USERS]==72){$LVL_UP="3400000";}
                if($query3[LVL_USERS]==73){$LVL_UP="3800000";}
                if($query3[LVL_USERS]==74){$LVL_UP="4100000";}
                if($query3[LVL_USERS]==75){$LVL_UP="4400000";}
                if($query3[LVL_USERS]==76){$LVL_UP="4700000";}
                if($query3[LVL_USERS]==77){$LVL_UP="5000000";}
                if($query3[LVL_USERS]==78){$LVL_UP="5355000";}
                if($query3[LVL_USERS]==79){$LVL_UP="5895000";}
                if($query3[LVL_USERS]==80){$LVL_UP="6545000";}
                if($query3[LVL_USERS]==81){$LVL_UP="7295000";}
                if($query3[LVL_USERS]==82){$LVL_UP="8075000";}
                if($query3[LVL_USERS]==83){$LVL_UP="8875000";}
                if($query3[LVL_USERS]==84){$LVL_UP="9775000";} 	
                if($query3[LVL_USERS]==85){$LVL_UP="10775000";}
                if($query3[LVL_USERS]==86){$LVL_UP="11875000";}
                if($query3[LVL_USERS]==87){$LVL_UP="13075000";}
                if($query3[LVL_USERS]==88){$LVL_UP="14375000";}
                if($query3[LVL_USERS]==89){$LVL_UP="15775000";}
                if($query3[LVL_USERS]==90){$LVL_UP="18275000";}
                if($query3[LVL_USERS]==91){$LVL_UP="20875000";}
                if($query3[LVL_USERS]==92){$LVL_UP="24075000";}
                if($query3[LVL_USERS]==93){$LVL_UP="27750000";}
                if($query3[LVL_USERS]==94){$LVL_UP="33775000";}
                if($query3[LVL_USERS]==95){$LVL_UP="37750000";}
                if($query3[LVL_USERS]==96){$LVL_UP="42750000";}
                if($query3[LVL_USERS]==97){$LVL_UP="48750000";}
                if($query3[LVL_USERS]==98){$LVL_UP="53775000";}
                if($query3[LVL_USERS]==99){$LVL_UP="59775000";}
                if($query3[LVL_USERS]==100){$LVL_UP="63775000";}
                if($query3[LVL_USERS]==101){$LVL_UP="70000000";}
                if($query3[LVL_USERS]==102){$LVL_UP="70000000";}
                if($query3[LVL_USERS]==103){$LVL_UP="70000000";}
                if($query3[LVL_USERS]==104){$LVL_UP="78000000";}
                if($query3[LVL_USERS]==105){
             }
			 echo"$query3[EXPnow]/$LVL_UP\"> <small> ";
			 @$procE = (100*$query3[EXPnow])/$LVL_UP;
               echo round($procE). " %</small></center>";
			   
##############СЛОТЫ ПОД ПРЕДМЕТЫ ДО 5 слотов
$SLOT_1=mysql_query("SELECT * FROM slotS WHERE S_NICK=\"$NICK\" AND S_NO=\"1\"");
if(mysql_num_rows($SLOT_1)<0){echo'';}
while($SLOT_1A=mysql_fetch_assoc($SLOT_1)){
if(mysql_num_rows($SLOT_1)>0){echo"<br><a href=\"$SLOT_1A[S_SRC]\">$SLOT_1A[S_NAME]</a><br>";}
}
$SLOT_2=mysql_query("SELECT * FROM slotS WHERE S_NICK=\"$NICK\" AND S_NO=\"2\"");
if(mysql_num_rows($SLOT_2)<0){echo'';}
if(mysql_num_rows($SLOT_2)>0){echo'<br>слот 2<br>';}
$SLOT_3=mysql_query("SELECT * FROM slotS WHERE S_NICK=\"$NICK\" AND S_NO=\"3\"");
if(mysql_num_rows($SLOT_3)<0){echo'';}
if(mysql_num_rows($SLOT_3)>0){echo'<br>слот 3<br>';}
$SLOT_4=mysql_query("SELECT * FROM slotS WHERE S_NICK=\"$NICK\" AND S_NO=\"4\"");
if(mysql_num_rows($SLOT_4)<0){echo'';}
if(mysql_num_rows($SLOT_4)>0){echo'<br>слот 4<br>';}
$SLOT_5=mysql_query("SELECT * FROM slotS WHERE S_NICK=\"$NICK\" AND S_NO=\"5\"");
if(mysql_num_rows($SLOT_5)<0){echo'';}
if(mysql_num_rows($SLOT_5)>0){echo"<br>слот 5<br>";}
//здесь если игрок набрал определенное кол-во опыта то пишем LVL_UP
if($query3[EXPnow]>=$LVL_UP){
                $db->openDB();
               if($query3[EXPnow]>=$LVL_UP AND $query3[LVL_USERS]!=105){echo"<marquee width=\"100\"><img src=\"img/lvl.png\" width=\"10\" height=\"10\" title=\"уровень вверх!\"> <font color=\"orange\">уровень вверх!</font></marquee>";}
                $exp=$query3[EXPnow]-$LVL_UP;
                $LVL_a=$query3[LVL_USERS]+1;
                $SKILL_POINTS=$query3[SKILL_POINTS]+4;
                if($query3[LVL_USERS]<105){$LVL_UP_query=mysql_query("UPDATE users SET EXPnow=\"$exp\",LVL_USERS=\"$LVL_a\",SKILL_POINTS=\"$SKILL_POINTS\" WHERE NICK=\"$aNickName\"");
             }
             } 
             if(!isset($src)){
			 //скриптик вывода звуков и подсчет кол-во нпсов игроков и монстров в локации
			 $count_users=mysql_query("SELECT * FROM users where loc=\"x0x0\" AND $t-gametime<300");
			 @$count_users2=mysql_num_rows($count_users);
			 //if($count_users2>0 AND $query3[loc]=="begin"){echo"<font color=\"lime\">звуки на юг</font>($count_users2 чел.)";}
			 //if($count_users2>0 AND $query3[loc]=="x0x3"){echo"<font color=\"lime\">звуки на север</font>($count_users2 чел.)";}
			 
			 $count_users=mysql_query("SELECT * FROM users where loc=\"begin\" AND $t-gametime<300");
			 @$count_users2=mysql_num_rows($count_users);
			 //if($count_users2>0 AND $query3[loc]=="x0x0"){echo"<font color=\"lime\">звуки на юг</font>($count_users2 чел.)";}
			 
			
?>
<?
$msg=mysql_query("SELECT * FROM msg WHERE MS_KOMU=\"$NICK\"");
$msgC=mysql_num_rows($msg);
while($msgQ=mysql_fetch_assoc($msg)){
$rr=$msgQ[MS_OT];

}
if($msgC>0){echo"<center><a href=\"msg.php?NICK=$NICK&read=$rr\"><img src=\"img/msg.png\" alt=\"!\" height=\"10\" width=\"10\"> сообщение</a> ($msgC)</center>";}
if($prCLC>0){echo"<center><a href=\"game.php?NICK=$NICK&prigl=1\"><img src=\"img/msg.png\" alt=\"!\" height=\"10\" width=\"10\"> приглашение</a></center>";}

?>
<div class="heads">
Игроки
</div>
<?
$db->openDB();
####################################################################################
####################################################################################
  
  if(!isset($src)){
echo"в локации:";
}



$nasUSU=mysql_query("SELECT * FROM nasUSERS WHERE NICK_US=\"$NICK\"");
while(@$nasUS2U=mysql_fetch_assoc($nasUSU))
          {          
		  $userM=$nasUS2U[userM];//максимальный вывод userov на локацию
            $users = mysql_query("SELECT * FROM users WHERE NICK!=\"$NICK\" AND loc=\"$query3[loc]\" AND $t-gametime<600 LIMIT $user,$userM");
			}
            @$count_users=mysql_num_rows($users);
            

if($src=="$aNickName")
{
echo"вы не можете смотреть на самого себя!";die;
}
if($count_users==0 AND !isset($src)){echo"<font color=\"red\">никого нет!</font><center>";}
if($count_users>0 AND !isset($src)){echo" $count_users чел.$users2[NICK]";}
           
            while (@$users2 = mysql_fetch_assoc($users)) {
?>
            
<?
@$procU = (100*$users2[MINhp])/$users2[MAXhp];
if($count_users>0 AND !isset($src)){echo"<br/><font color=\"black\"></font><img src=\"img/user.png\" alt=\"!\" height=\"10\" width=\"10\">  <a href=\"game.php?NICK=$NICK&pi=$users2[NICK]\">$users2[NICK]</a> хп:".round($procU). "% "
;}
//look_users
@include("look_users.php");  
$next = $user+$userM;
$prev = $user-$userM;
if ($user>0) {
echo "<a href=\"game.php?NICK=$NICK&user=$prev\">&lArr;</a>";
}
list($c)=mysql_fetch_row(mysql_query("SELECT COUNT(*) FROM users WHERE NICK!=\"$NICK\" AND loc=\"$query3[loc]\" AND $t-gametime<600"));
if ($user+$userM<$c) {
echo "<a href=\"game.php?NICK=$NICK&user=$next\">^</a>";
}          
}


?>

<div class="heads">
Нпс
</div>

<?     
echo"в локации:"; 
$db->openDB();
$npc = mysql_query("SET NAMES cp1251");
$npc=mysql_query("SELECT * FROM users,npc_world WHERE NICK=\"$aNickName\" AND loc=npc_loc");
  @$count_npc=mysql_num_rows($npc);
while(@$npc2=mysql_fetch_assoc($npc)){
                    echo "</center>";
                    echo "<br/><img src=\"img/NPC0.png\" alt=\"!\" height=\"10\" width=\"10\"><a href=\"game.php?NICK=$aNickName&menu=main&src=$npc2[npc_src]\">";
                    //require ("npc.php");
                    if($count_npc>0 AND !isset($src)){echo " $npc2[npc_name]</a>";}
}
if($count_npc==0 AND !isset($src)){echo"<font color=\"red\">никого нет!</font><center>";}
echo"";
}
?>
<div class="heads">
Монстры
</div>
<?
echo"в локации:"; 
$db->openDB();
//здесь настройки игры
$nasUS=mysql_query("SELECT * FROM nasUSERS WHERE NICK_US=\"$NICK\"");
while(@$nasUS2=mysql_fetch_assoc($nasUS)){
$mobM=$nasUS2[mobM];//максимальный вывод монстров на локацию
$mobsa=mysql_query("SELECT * FROM users,mobs_world WHERE NICK='$query3[NICK]' AND loc=loc_mob AND mb_MINhp>0 LIMIT $mob,$mobM");
}
@$count_mobs=mysql_num_rows($mobsa);
//include("attack.php");
$UPDmobs=mysql_query("UPDATE mobs_world SET mb_MINhp=mb_MAXhp,M_TIME=\"$t\" WHERE $t-M_TIME>MNTM AND mb_MINhp=\"0\"");
while(@$mobsb=mysql_fetch_assoc($mobsa))
{
//если монстр мертв то ресаем его если время вышло

@$procM = (100*$mobsb[mb_MINhp])/$mobsb[mb_MAXhp];
if($count_mobs>0 AND !isset($src)){echo"<br/><img src=\"img/npc.png\" alt=\"mb\"> ";
echo"$mobsb[MOBSname] ур.$mobsb[LVL] [<font color=\"red\">хп:".round($procM)." %</font>] <a href=\"attack.php?NICK=$aNickName&menu=main&src=$mobsb[MOBSid]\"><img src=\"img/attck.png\" width=\"10\" height=\"10\"></a>";

$next = $mob+$mobM;
$prev = $mob-$mobM;
if ($mob>0) {
echo "<a href=\"game.php?NICK=$NICK&mob=$prev\">&lArr;</a>";
}
list($c)=mysql_fetch_row(mysql_query("SELECT COUNT(*) FROM users,mobs_world WHERE NICK='$query3[NICK]' AND loc=loc_mob AND mb_MINhp>0"));
if ($mob+$mobM<$c) {
echo "<a href=\"game.php?NICK=$NICK&mob=$next\">^</a>";
}
}
}
$die = mysql_query("SET NAMES cp1251");
$nasUS=mysql_query("SELECT * FROM nasUSERS WHERE NICK_US=\"$NICK\"");
//while(@$nasUS2=mysql_fetch_assoc($nasUS)){
$die=mysql_query("SELECT * FROM died WHERE D_LOC=\"$query3[loc]\"");
//}
@$dieC=mysql_num_rows($die);
if($dieC>0){
while(@$die2=mysql_fetch_assoc($die)){
//здесь удаляем труп если он лежит больше 8 минут

$delTR=mysql_query("DELETE FROM died WHERE $t-$die2[D_TIME]>500");
echo"<br/><font color=\"red\">труп(<a href=\"died.php?NICK=$NICK&view=$die2[D_KEY]&id=$die2[ID_DEAD]\">".$die2[D_NAME]."</a>)</font>";
}
}
if($dieC==0){

echo"";
}
if($count_mobs==0 AND !isset($src)){echo"<font color=\"red\">никого нет!</font><center>";}
echo"";
?>
<div class="heads">
Предметы
</div>

<?

@include("items.php");
echo"";
?>
<small><span class="left">
<div class="heads">
Локации
</div>
<?
@require ("location.php"); 
echo"";
?><div class="menu">

</div>
<div class="heads">
© 2011-2012 г. «Мрак Подземелья»
</div><center>
<?
$ttime=date("H:i:s");
?>
<?echo $ttime;?> | Онлайн: <?$query_on = mysql_query("SELECT * FROM users WHERE $t-gametime<600");
$onC = mysql_num_rows($query_on);
echo $onC;
?><br/>
AstoriX © 2012<br/></center>
<?
//<div class="button"> Логи:</div>
//$dLOGS=mysql_query("DELETE FROM logs WHERE $t-TIME_ATTCK>500");
//$nasUS=mysql_query("SELECT * FROM nasUSERS WHERE NICK_US=\"$NICK\"");
//while(@$nasUS2=mysql_fetch_assoc($nasUS)){
//$per_page=$nasUS2[logM];//максимальный вывод логов на локацию
//}
// получаем номер страницы
//if (isset($_GET['l'])) $page=($_GET['l']-1); else $page=0;
// вычисляем первый оператор для LIMIT
//$start=abs($l*$per_page);
// составляем запрос и выводим записи
// переменную $start используем, как нумератор записей.
//$q="SELECT * FROM `logs`  WHERE L_LOC=\"$query3[loc]\" AND NAPADENIE=\"$NICK\" ORDER BY TIME_ATTCK DESC LIMIT $start,$per_page";
//$q22="SELECT * FROM `logs`  WHERE L_LOC=\"$query3[loc]\" AND DEFENDER=\"$NICK\" ORDER BY TIME_ATTCK DESC LIMIT $start,$per_page";
//$res=mysql_query($q);
//while($row=mysql_fetch_array($res)) {
  //echo "".$row[L_CONT].'<br>';
//}
//$res2=mysql_query($q22);
//while($row2=mysql_fetch_array($res2)) {
 //echo "".$row2[L_CONT].'<br>';
//}
// дальше выводим ссылки на страницы:
//$q="SELECT count(*) FROM `logs`";
//$res=mysql_query($q);
//$row=mysql_fetch_row($res);
//$total_rows=$row[0];

//$num_pages=ceil($total_rows/$per_page);
//echo'---<br>';
  //$al=mysql_query("SELECT * FROM `logs`  WHERE L_LOC=\"$query3[loc]\" AND NAPADENIE=\"$NICK\" AND DEFENDER=\"$NICK\"");
  //if(mysql_num_rows($al)<1){echo"<font color=\"red\">".'лог боя пуст!<br>'."</font>";}
  //echo 'всего логов:'.mysql_num_rows($al).'<br>';
//for($i=1;$i<=$num_pages;$i++) {
  //if ($i-1 == $l) {
    //echo $i." ";
  //} else {

    //echo '<a href="'.$_SERVER['PHP_SELF'].'?NICK='.$NICK.'&l='.$i.'">'.$i."</a> ";
  //}
//}
    }
    }
    }
$zapLG=mysql_query("INSERT INTO logs_game (LOGS) VALUES('$_SERVER[REQUEST_URI]')");
?>
</div>

<?
$db->openDB();
$speakers=mysql_query("SELECT * FROM users,npc_world WHERE NICK=\"$aNickName\"");
while(@$speakers2=mysql_fetch_assoc($speakers)){
@include("all_npc.php");
@include("all_speaks.php");
}
?>
 
<?                          
    die;}

//здесь если данные не совпадают

$rows = explode('|', $ip); 
foreach($rows as $row) 
{ 
$fields = explode('.', $row); 
$ipp2=$fields[0];
$rows = explode('|', $query3[ip]); 
foreach($rows as $row) 
{ 
$ff = explode('.', $row); 
$fff2=$ff[0];
if($ipp2!=$fff2 OR $ipp2==$fff2 AND $t-$query3[gametime]<600){

            // если ip не совпадает ,то попросит ввести секрет
            ?>
            <?
            $main="
<div class=\"heads\">
<b>«ввод секрета»</b>
</div>
<div class=\"menu\">
ваши данные отличаются от прошлого входа,пожалуйста введите секретное слово

<form action=\"secret_input.php\" method=\"POST\">
<input name=\"secret\" class=\"button\">

<input name=\"NICK\" value=\"$_GET[NICK]\" class=\"button\" type=\"hidden\" >
<br/>
<input type=\"submit\" value=\"готово\" class=\"button\">
</form>
<a href=\"ds.php\">на главную</a>
</div><div class=\"f_bg\">
</body>
</html>
";die($main);
?>

<?
}
// если ip совпадает то откроется главная страница игры
if($ipp2==$fff2 AND $t-$query3[gametime]>600){
            
//подключаем главную страницу_2 игры
@include("site_main.php");            
        }        

}}}

@include("refresh.php");

?>
